## org.apache.poi.hssf.record
Class TextObjectRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.TextObjectBaseRecord
              org.apache.poi.hssf.record.TextObjectRecord

public class TextObjectRecord
extends TextObjectBaseRecord

Field Summary

Fields inherited from class org.apache.poi.hssf.record.TextObjectBaseRecord
`HORIZONTAL_TEXT_ALIGNMENT_CENTERED, HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED, HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED, HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED, sid, TEXT_ORIENTATION_NONE, TEXT_ORIENTATION_ROT_LEFT, TEXT_ORIENTATION_ROT_RIGHT, TEXT_ORIENTATION_TOP_TO_BOTTOM, VERTICAL_TEXT_ALIGNMENT_BOTTOM, VERTICAL_TEXT_ALIGNMENT_CENTER, VERTICAL_TEXT_ALIGNMENT_JUSTIFY, VERTICAL_TEXT_ALIGNMENT_TOP`

Constructor Summary
`TextObjectRecord()`
`TextObjectRecord(short id, short size, byte[] data)`
`TextObjectRecord(short id, short size, byte[] data, int offset)`

Method Summary
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`HSSFRichTextString` `getStr()`
`void` `processContinueRecord(byte[] data)` Process a continuation record; default handling is to ignore it -- TODO add logging
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setStr(HSSFRichTextString str)`
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.TextObjectBaseRecord

`clone, fillFields, getFormattingRunLength, getHorizontalTextAlignment, getOptions, getReserved2, getReserved3, getReserved4, getReserved5, getReserved6, getReserved7, getSid, getTextLength, getTextOrientation, getVerticalTextAlignment, isReserved1, isTextLocked, setFormattingRunLength, setHorizontalTextAlignment, setOptions, setReserved1, setReserved2, setReserved3, setReserved4, setReserved5, setReserved6, setReserved7, setTextLength, setTextLocked, setTextOrientation, setVerticalTextAlignment, validateSid`

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextObjectRecord

    public TextObjectRecord()

### TextObjectRecord

    public TextObjectRecord(short id,
                            short size,
                            byte[] data)

### TextObjectRecord

    public TextObjectRecord(short id,
                            short size,
                            byte[] data,
                            int offset)

Method Detail

### getRecordSize

    public int getRecordSize()

  Description copied from class: `TextObjectBaseRecord`
  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `TextObjectBaseRecord`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Overrides:
    `serialize` in class `TextObjectBaseRecord`

### processContinueRecord

    public void processContinueRecord(byte[] data)

  Description copied from class: `Record`
  Process a continuation record; default handling is to ignore it -- TODO add logging

  Overrides:
    `processContinueRecord` in class `Record`
  Parameters:
    `data` - the continuation record's data

### getStr

    public HSSFRichTextString getStr()

### setStr

    public void setStr(HSSFRichTextString str)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `TextObjectBaseRecord`

Copyright © 2003 Apache Software Foundation.